Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.gui
Class BasicComponent

    java.lang.Object
      org.newdawn.slick.util.InputAdapter
          org.newdawn.slick.gui.AbstractComponent
              org.newdawn.slick.gui.BasicComponent

All Implemented Interfaces:
  ControlledInputReciever, ControllerListener, InputListener, KeyListener, MouseListener

Deprecated.

    public abstract class BasicComponent

extends AbstractComponent

Renamed to provide backwards compatibility

Author:
  kevin

Field Summary
`protected int` | `height` Deprecated. The height of the component
`protected int` | `width` Deprecated. The width of the component
`protected int` | `x` Deprecated. The x position of the component
`protected int` | `y` Deprecated. The y position of the component

Fields inherited from class org.newdawn.slick.gui.AbstractComponent
`container, input, listeners`

Constructor Summary
`BasicComponent(GUIContext container)` Deprecated. Create a new component

Method Summary
`int` | `getHeight()` Deprecated. Get the height of the component
`int` | `getWidth()` Deprecated. Get the width of the component
`int` | `getX()` Deprecated. Returns the position in the X coordinate
`int` | `getY()` Deprecated. Returns the position in the Y coordinate
`void` | `render(GUIContext container, Graphics g)` Deprecated. Render this component to the screen
`abstract void` | `renderImpl(GUIContext container, Graphics g)` Deprecated. Allow the sub-component to render
`void` | `setLocation(int x, int y)` Deprecated. Moves the component.

Methods inherited from class org.newdawn.slick.gui.AbstractComponent
`addListener, consumeEvent, hasFocus, mouseReleased, notifyListeners, removeListener, setFocus`

Methods inherited from class org.newdawn.slick.util.InputAdapter
`controllerButtonPressed, controllerButtonReleased, controllerDownPressed, controllerDownReleased, controllerLeftPressed, controllerLeftReleased, controllerRightPressed, controllerRightReleased, controllerUpPressed, controllerUpReleased, inputEnded, inputStarted, isAcceptingInput, keyPressed, keyReleased, mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseWheelMoved, setAcceptingInput, setInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected int x

  Deprecated.
  The x position of the component

### y

    protected int y

  Deprecated.
  The y position of the component

### width

    protected int width

  Deprecated.
  The width of the component

### height

    protected int height

  Deprecated.
  The height of the component

Constructor Detail

### BasicComponent

    public BasicComponent(GUIContext container)

  Deprecated.
  Create a new component

  Parameters:
    `container` - The container displaying this component

Method Detail

### getHeight

    public int getHeight()

  Deprecated.
  Description copied from class: `AbstractComponent`
  Get the height of the component

  Specified by:
    `getHeight` in class `AbstractComponent`
  Returns:
    The height of the component
  See Also:
    `AbstractComponent.getHeight()`

### getWidth

    public int getWidth()

  Deprecated.
  Description copied from class: `AbstractComponent`
  Get the width of the component

  Specified by:
    `getWidth` in class `AbstractComponent`
  Returns:
    The width of the component
  See Also:
    `AbstractComponent.getWidth()`

### getX

    public int getX()

  Deprecated.
  Description copied from class: `AbstractComponent`
  Returns the position in the X coordinate

  Specified by:
    `getX` in class `AbstractComponent`
  Returns:
    x
  See Also:
    `AbstractComponent.getX()`

### getY

    public int getY()

  Deprecated.
  Description copied from class: `AbstractComponent`
  Returns the position in the Y coordinate

  Specified by:
    `getY` in class `AbstractComponent`
  Returns:
    y
  See Also:
    `AbstractComponent.getY()`

### renderImpl

    public abstract void renderImpl(GUIContext container,
                                    Graphics g)

  Deprecated.
  Allow the sub-component to render

  Parameters:
    `container` - The container holding the GUI
    `g` - The graphics context into which we should render

### render

    public void render(GUIContext container,
                       Graphics g)
                throws SlickException

  Deprecated.
  Description copied from class: `AbstractComponent`
  Render this component to the screen

  Specified by:
    `render` in class `AbstractComponent`
  Parameters:
    `container` - The container displaying this component
    `g` - The graphics context used to render to the display
  Throws:
    `SlickException` - If there has been an error rendering the component
  See Also:
    `AbstractComponent.render(org.newdawn.slick.gui.GUIContext, org.newdawn.slick.Graphics)`

### setLocation

    public void setLocation(int x,
                            int y)

  Deprecated.
  Description copied from class: `AbstractComponent`
  Moves the component.

  Specified by:
    `setLocation` in class `AbstractComponent`
  Parameters:
    `x` - X coordinate
    `y` - Y coordinate
  See Also:
    `AbstractComponent.setLocation(int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.